### Enumeration

# Fwupd SelfSignFlags

#### Declaration

    flags Fwupd.SelfSignFlags

#### Description [src]

Flags to set when performing the firmware update or install.

#### Members

`FWUPD_SELF_SIGN_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 1.2.6
`FWUPD_SELF_SIGN_FLAG_ADD_TIMESTAMP`

  Add the timestamp to the detached signature.

  - Value: `1`
  - Available since: 1.2.6
`FWUPD_SELF_SIGN_FLAG_ADD_CERT`

  Add the certificate to the detached signature.

  - Value: `2`
  - Available since: 1.2.6